<div style="margin-top: 20px;">
    <div class="container">
        <!-- PENCARIAN -->
        <div style="margin-top: 20px;">
            <div class="card-deck" style="margin-bottom: 15px;">
                <div class="card">
                    <div class="card-block">
                        <div class="form-group">
                            <label class="form-control-label" for="field_reqnotnumber"> Request Note Number </label>
                            <input type="text" class="form-control" name="reqnotnumber" id="field_reqnotnumber"
                                [(ngModel)]="requestNote.reqnotnumber" readonly />
                        </div>
                        <div class="form-group">
                            <label class="form-control-label"for="field_dealertujuan">Dealer Tujuan </label>
                            <input type="text" class="form-control" name="dealertujuan" id="field_dealertujuan"
                                [(ngModel)]="requestNote.cabang" readonly />
                        </div>
    
                        <div class="form-group">
                            <label class="form-control-label"for="field_status">Status </label>
                            <input type="text" class="form-control" name="status" id="field_status"
                                [(ngModel)]="requestNote.status" readonly />
                        </div>
                        <div class="form-group">
                            <label class="form-control-label"for="field_dtcreated">Tanggal Request </label>
                            <input type="text" class="form-control" name="dtcreated" id="field_dtcreated"
                                [(ngModel)]="requestNote.dtcreated" readonly />
                        </div>
                    </div>
                </div>
            </div>
            
            <p-dataTable
                [value]="items"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)"
                class="width-filter">
                <p-header>
                    <jhi-alert></jhi-alert>
                </p-header>

                <!-- <p-column header="No. REQ"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.requestNumber">
                            {{rowData.requestNumber}}
                        </div>
                    </ng-template>
                </p-column> -->
                
                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.noVSO'|translate}}" >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- <div *ngIf="rowData.orderNumber"> -->
                            <!-- {{rowData.salesUnitRequirement.requirementNumber}} -->
                            <!-- <div *ngIf="rowData.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                            </div>
                            <ng-template #templateOrderNumber>
                                {{rowData.orderNumber}}
                            </ng-template>
                            <ng-template #templateRequirementNumber>
                                {{rowData.salesUnitRequirement.requirementNumber}}
                            </ng-template> -->
                        <!-- </div> -->
                    <!-- </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.tglVso'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.dateOrder">
                            {{rowData.dateOrder|date:'dd-MMM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column> -->

                <p-column header="Market Name" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.marketname">
                        </div>{{rowData.marketname}}
                    </ng-template>
                </p-column>

                <p-column header="Kode Tipe">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idproduct}}
                    </ng-template>
                </p-column>

                <p-column header="Warna">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.color}}
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                    </ng-template>
                </p-column>

                <p-column header="Nomor Rangka">
                    <ng-template let-rowData="rowData" pTemplate="body">
                       
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                    </ng-template>
                </p-column>

                <p-column header="Nomor Mesin"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                       
                    </ng-template>
                </p-column>

                <p-column header="COGS"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{rowData.korsalName}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="Aksi" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        <button pButton type="button"
                            icon="fa-trash-o"
                            class="flat-button"
                            pTooltip="Remove"
                            >
                        </button>
                    </ng-template>
                </p-column>

                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.statusAdSls'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- {{rowData.salesUnitRequirement.salesmanName}} -->
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                        <!-- <div *ngIf="rowData.adminSalesVerifyValue==2">Not Approved</div>
                        <div *ngIf="rowData.adminSalesVerifyValue==1">Approved</div>
                        <div *ngIf="rowData.adminSalesVerifyValue==0">-</div> -->
                        <!-- <container-element [ngSwitch] = "rowData.adminSalesVerifyValue">
                                <div *ngSwitchCase = 1> Approve </div>
                                <div *ngSwitchCase = 2> Not Approve </div>
                                <div *ngSwitchCase = 0> - </div>
                            </container-element> -->
                        <!-- <div *ngIf="rowData.adminSalesVerifyValue==2">Not Approved</div> -->
                    <!-- </ng-template>
                </p-column> -->

                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.StatusAfc'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- {{rowData.leasingName}} -->
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                        <!-- <div *ngIf="rowData.afcVerifyValue==2">Not Approved</div>
                        <div *ngIf="rowData.afcVerifyValue==1">Approved</div>
                        <div *ngIf="rowData.afcVerifyValue==0">-</div> -->

                        <!-- <container-element [ngSwitch] = "rowData.afcVerifyValue">
                                <div *ngSwitchCase = 1> Approve </div>
                                <div *ngSwitchCase = 2> Not Approve </div>
                                <div *ngSwitchCase = 0> - </div>
                            </container-element> -->
                        <!-- <div *ngIf="rowData.afcVerifyValue==2">Not Approved</div> -->
                    <!-- </ng-template>
                </p-column> -->

                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.statusKacab'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- {{rowData.leasingName}} -->
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                        <!-- <div *ngIf="rowData.currentStatus==72 || rowData.currentStatus==17; else elseBlock">Approved</div>
                        <ng-template #elseBlock>-</ng-template> -->
                        <!-- <container-element [ngSwitch] = "rowData.currentStatus">
                            <div *ngSwitchCase = 61> Approve </div>
                            <div *ngSwitchCase = 74> Approve </div>
                            <div *ngSwitchDefault> - </div>
                        </container-element> -->
                        <!-- <ng-template #elseBlock>-</ng-template> -->
                    <!-- </ng-template>
                </p-column> -->

                <!-- <p-column header="Cabang 2">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{getDescription(rowData.currentStatus)}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="Cabang 3">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{getDescription(rowData.currentStatus)}}
                        </div>
                    </ng-template>
                </p-column> -->

                 <!-- <p-column [style]="{'text-align': 'center'}" header="{{'mpmApp.vehicleSalesOrder.requestnokanosin'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.salesUnitRequirement.requestIdMachineAndFrame !== null || rowData.salesUnitRequirement.requestIdMachineAndFrame !== null  "> 
                             <i class="fa fa-check"></i>
                        </div>
                        <div *ngIf="rowData.salesUnitRequirement.requestIdMachineAndFrame == null || rowData.salesUnitRequirement.requestIdMachineAndFrame == null  "> 
                            <i class="fa fa-close"></i>
                       </div>
                    </ng-template>
                </p-column> -->
                
                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.labelAction'|translate}}"  [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- <button pButton type="submit"
                                [routerLink]="['../vehicle-sales-order-manual-matching/', rowData.idOrder]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button> -->
                        <!-- <div *ngIf="rowData.currentStatus==10 || rowData.currentStatus==72 || rowData.currentStatus==74 || rowData.currentStatus==61 || rowData.currentStatus==11">
                            <div *ngIf="isMatchingMenu; else notMatchingMenu">
                                <button pButton type="submit"
                                    [routerLink]="['../../vehicle-sales-order/'+ rowData.idOrder + '/matching/' + isMatchingMenu]"
                                    icon="fa-pencil"
                                    class="flat-button">
                                </button>

                                <button pButton type="button"
                                    icon="fa-remove"
                                    class="flat-button"
                                    (click)="batalVso(rowData)"
                                    [disabled]="rowData.currentStatus==17"
                                    *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                                </button>
                            </div>
                            <ng-template #notMatchingMenu>
                                <button pButton type="submit"
                                    [routerLink]="['../vehicle-sales-order/'+ rowData.idOrder + '/edit']"
                                    icon="fa-pencil"
                                    class="flat-button"
                                    *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                                </button>

                                <button pButton type="button"
                                    icon="fa-remove"
                                    class="flat-button"
                                    (click)="batalVso(rowData)"
                                    [disabled]="rowData.currentStatus==17"
                                    *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                                </button>
                            </ng-template>
                        </div>
                    </ng-template>
                </p-column> -->

                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>

            </p-dataTable>
                <div class="btn-filter-wrapper pull-right">
                <button type="button" class="btn btn-primary btn-filter">
                    <span>Create SPG</span>
                </button>
                </div>
                <!-- <div class="btn-filter-wrapper pull-right">
                    <button type="button" class="btn btn-primary btn-filter">
                        <span>Print List</span>
                    </button>
                    &nbsp;
                    &nbsp;
                    &nbsp;
                </div> -->
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>
